Index: trunk/src/org/openstreetmap/josm/actions/CreateCircleAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/CreateCircleAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/CreateCircleAction.java	(revision 6830)
@@ -40,5 +40,5 @@
  * @since 996
  *
- * @author Henry Loenwind, based on much copy&Paste from other Actions.
+ * @author Henry Loenwind
  * @author Sebastian Masch
  */
Index: trunk/src/org/openstreetmap/josm/actions/DiskAccessAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/DiskAccessAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/DiskAccessAction.java	(revision 6830)
@@ -76,8 +76,8 @@
      * @param title The string that goes in the dialog window's title bar
      * @param extension The file extension that will be selected as the default file filter
-     * @param selectionMode The selection mode that allows the user to:<br/>
+     * @param selectionMode The selection mode that allows the user to:<br><ul>
      *                      <li>just select files ({@code JFileChooser.FILES_ONLY})</li>
      *                      <li>just select directories ({@code JFileChooser.DIRECTORIES_ONLY})</li>
-     *                      <li>select both files and directories ({@code JFileChooser.FILES_AND_DIRECTORIES})</li>
+     *                      <li>select both files and directories ({@code JFileChooser.FILES_AND_DIRECTORIES})</li></ul>
      * @param allTypes If true, all the files types known by JOSM will be proposed in the "file type" combobox.
      *                 If false, only the file filters that include {@code extension} will be proposed
@@ -97,8 +97,8 @@
      * @param title The string that goes in the dialog window's title bar
      * @param filter The only file filter that will be proposed by the dialog
-     * @param selectionMode The selection mode that allows the user to:<br/>
+     * @param selectionMode The selection mode that allows the user to:<br><ul>
      *                      <li>just select files ({@code JFileChooser.FILES_ONLY})</li>
      *                      <li>just select directories ({@code JFileChooser.DIRECTORIES_ONLY})</li>
-     *                      <li>select both files and directories ({@code JFileChooser.FILES_AND_DIRECTORIES})</li>
+     *                      <li>select both files and directories ({@code JFileChooser.FILES_AND_DIRECTORIES})</li></ul>
      * @param lastDirProperty The name of the property used to setup the JFileChooser initial directory. This property will then be updated to the new "last directory" chosen by the user
      * @return The {@code JFileChooser}.
@@ -116,8 +116,8 @@
      * @param filters The file filters that will be proposed by the dialog
      * @param defaultFilter The file filter that will be selected by default
-     * @param selectionMode The selection mode that allows the user to:<br/>
+     * @param selectionMode The selection mode that allows the user to:<br><ul>
      *                      <li>just select files ({@code JFileChooser.FILES_ONLY})</li>
      *                      <li>just select directories ({@code JFileChooser.DIRECTORIES_ONLY})</li>
-     *                      <li>select both files and directories ({@code JFileChooser.FILES_AND_DIRECTORIES})</li>
+     *                      <li>select both files and directories ({@code JFileChooser.FILES_AND_DIRECTORIES})</li></ul>
      * @param lastDirProperty The name of the property used to setup the JFileChooser initial directory. This property will then be updated to the new "last directory" chosen by the user
      * @return The {@code JFileChooser}.
Index: trunk/src/org/openstreetmap/josm/actions/DownloadReferrersAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/DownloadReferrersAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/DownloadReferrersAction.java	(revision 6830)
@@ -70,8 +70,8 @@
      *
      * @param targetLayer  the target layer. Must not be null.
-     * @param id the primitive id. id > 0 required.
+     * @param id the primitive id. id &gt; 0 required.
      * @param type the primitive type. type != null required
      * @exception IllegalArgumentException thrown if targetLayer is null
-     * @exception IllegalArgumentException thrown if id <= 0
+     * @exception IllegalArgumentException thrown if id &lt;= 0
      * @exception IllegalArgumentException thrown if type == null
      */
Index: trunk/src/org/openstreetmap/josm/actions/JoinAreasAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/JoinAreasAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/JoinAreasAction.java	(revision 6830)
@@ -300,5 +300,7 @@
     }
 
-    // Adds the menu entry, Shortcuts, etc.
+    /**
+     * Constructs a new {@code JoinAreasAction}.
+     */
     public JoinAreasAction() {
         super(tr("Join overlapping Areas"), "joinareas", tr("Joins areas that overlap each other"),
@@ -399,5 +401,5 @@
      * Tests if the areas have some intersections to join.
      * @param areas Areas to test
-     * @return @{code true} if areas are joinable
+     * @return {@code true} if areas are joinable
      */
     private boolean testJoin(List<Multipolygon> areas) {
Index: trunk/src/org/openstreetmap/josm/actions/MirrorAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/MirrorAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/MirrorAction.java	(revision 6830)
@@ -28,8 +28,11 @@
  * Note: If a ways are selected, their nodes are mirrored
  *
- * @author Teemu Koskinen, based on much copy&Paste from other Actions.
+ * @author Teemu Koskinen
  */
 public final class MirrorAction extends JosmAction {
 
+    /**
+     * Constructs a new {@code MirrorAction}.
+     */
     public MirrorAction() {
         super(tr("Mirror"), "mirror", tr("Mirror selected nodes and ways."),
Index: trunk/src/org/openstreetmap/josm/actions/PreferencesAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/PreferencesAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/PreferencesAction.java	(revision 6830)
@@ -44,5 +44,5 @@
 
     /**
-     * Create the preference action with "&Preferences" as label.
+     * Create the preference action with "Preferences" as label.
      */
     public PreferencesAction() {
Index: trunk/src/org/openstreetmap/josm/actions/RestartAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/RestartAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/RestartAction.java	(revision 6830)
@@ -23,5 +23,5 @@
 /**
  * Restarts JOSM as it was launched. Comes from "restart" plugin, originally written by Upliner.
- * <br/><br/>
+ * <br><br>
  * Mechanisms have been improved based on #8561 discussions and <a href="http://lewisleo.blogspot.jp/2012/08/programmatically-restart-java.html">this article</a>.
  * @since 5857
@@ -50,5 +50,5 @@
             Main.exitJosm(true, 9);
         }
-        
+
         try {
             restartJOSM();
Index: trunk/src/org/openstreetmap/josm/actions/SaveActionBase.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/SaveActionBase.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/SaveActionBase.java	(revision 6830)
@@ -120,5 +120,5 @@
 
     /**
-     * Creates a new "Save" dialog for a single {@link ExtensionFileFilter} and makes it visible.<br/>
+     * Creates a new "Save" dialog for a single {@link ExtensionFileFilter} and makes it visible.<br>
      * When the user has chosen a file, checks the file extension, and confirms overwrite if needed.
      *
@@ -135,5 +135,5 @@
 
     /**
-     * Creates a new "Save" dialog for a given file extension and makes it visible.<br/>
+     * Creates a new "Save" dialog for a given file extension and makes it visible.<br>
      * When the user has chosen a file, checks the file extension, and confirms overwrite if needed.
      *
Index: trunk/src/org/openstreetmap/josm/actions/SelectNonBranchingWaySequences.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/SelectNonBranchingWaySequences.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/SelectNonBranchingWaySequences.java	(revision 6830)
@@ -111,8 +111,8 @@
     /**
      * Finds out if the current selection can be extended.
-     * <p/>
+     * <p>
      * The members outerNodes, nodes must have been initialized.
      * How to update these members when extending the selection, @see extend().
-     *
+     * </p>
      * @param selection current selection
      * @return a way by which to extend the selection, or null
Index: trunk/src/org/openstreetmap/josm/actions/UnGlueAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/UnGlueAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/UnGlueAction.java	(revision 6830)
@@ -286,8 +286,9 @@
      *
      * assume that OrginalNode is in the way
-     *
-     * -> the new node will be put into the parameter newNodes.
-     * -> the add-node command will be put into the parameter cmds.
-     * -> the changed way will be returned and must be put into cmds by the caller!
+     * <ul>
+     * <li>the new node will be put into the parameter newNodes.</li>
+     * <li>the add-node command will be put into the parameter cmds.</li>
+     * <li>the changed way will be returned and must be put into cmds by the caller!</li>
+     * </ul>
      */
     private Way modifyWay(Node originalNode, Way w, List<Command> cmds, List<Node> newNodes) {
Index: trunk/src/org/openstreetmap/josm/actions/audio/AudioNextAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/audio/AudioNextAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/audio/AudioNextAction.java	(revision 6830)
@@ -13,5 +13,5 @@
 
 /**
- * Play the sound track from the Audio Marker after the one most recently played.<br/>
+ * Play the sound track from the Audio Marker after the one most recently played.<br>
  * Play from the first such Marker if none has been played, or repeat the last marker if at the end.
  * @since 547
Index: trunk/src/org/openstreetmap/josm/actions/audio/AudioPlayPauseAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/audio/AudioPlayPauseAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/audio/AudioPlayPauseAction.java	(revision 6830)
@@ -16,6 +16,6 @@
 
 /**
- * If not playing, play the sound track from the first Audio Marker, or from the point at which it was paused.<br/>
- * If playing, pause the sound.<br/>
+ * If not playing, play the sound track from the first Audio Marker, or from the point at which it was paused.<br>
+ * If playing, pause the sound.<br>
  * If fast forwarding or slow forwarding, resume normal speed.
  * @since 547
Index: trunk/src/org/openstreetmap/josm/actions/audio/AudioPrevAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/audio/AudioPrevAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/audio/AudioPrevAction.java	(revision 6830)
@@ -13,5 +13,5 @@
 
 /**
- * Play the sound track from the Audio Marker before the one most recently played.<br/>
+ * Play the sound track from the Audio Marker before the one most recently played.<br>
  * Play from the first such Marker if none has been played or already at the first marker.
  * @since 547
Index: trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadOsmTask.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadOsmTask.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadOsmTask.java	(revision 6830)
@@ -96,5 +96,5 @@
      * {@link Future}, but make sure not to freeze up JOSM. Example:
      * <pre>
-     *    Future<?> future = task.download(...);
+     *    Future&lt;?&gt; future = task.download(...);
      *    // DON'T run this on the Swing EDT or JOSM will freeze
      *    future.get(); // waits for the dowload task to complete
@@ -104,5 +104,5 @@
      * the Swing EDT:
      * <pre>
-     *    final Future<?> future = task.download(...);
+     *    final Future&lt;?&gt; future = task.download(...);
      *    Runnable runAfterTask = new Runnable() {
      *       public void run() {
Index: trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadReferrersTask.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadReferrersTask.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadReferrersTask.java	(revision 6830)
@@ -8,9 +8,9 @@
 import java.text.MessageFormat;
 import java.util.Collection;
-import java.util.Set;
+import java.util.HashMap;
 import java.util.HashSet;
-import java.util.HashMap;
 import java.util.Map;
 import java.util.Map.Entry;
+import java.util.Set;
 
 import javax.swing.JOptionPane;
@@ -101,7 +101,7 @@
      *
      * @param targetLayer  the target layer. Must not be null.
-     * @param id the primitive id. id > 0 required.
+     * @param id the primitive id. id &gt; 0 required.
      * @param type the primitive type. type != null required
-     * @exception IllegalArgumentException thrown if id <= 0
+     * @exception IllegalArgumentException thrown if id &lt;= 0
      * @exception IllegalArgumentException thrown if type == null
      * @exception IllegalArgumentException thrown if targetLayer == null
@@ -124,7 +124,7 @@
      * constructor
      *
-     * @param targetLayer  the target layer. Must not be null.
+     * @param targetLayer the target layer. Must not be null.
      * @param primitiveId a PrimitiveId object.
-     * @exception IllegalArgumentException thrown if id <= 0
+     * @exception IllegalArgumentException thrown if id &lt;= 0
      * @exception IllegalArgumentException thrown if targetLayer == null
      *
Index: trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadTask.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadTask.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/downloadtasks/DownloadTask.java	(revision 6830)
@@ -25,5 +25,5 @@
      * {@link Future}, but make sure not to freeze up JOSM. Example:
      * <pre>
-     *    Future<?> future = task.download(...);
+     *    Future&lt;?&gt; future = task.download(...);
      *    // DON'T run this on the Swing EDT or JOSM will freeze
      *    future.get(); // waits for the dowload task to complete
@@ -33,5 +33,5 @@
      * the Swing EDT:
      * <pre>
-     *    final Future<?> future = task.download(...);
+     *    final Future&lt;?&gt; future = task.download(...);
      *    Runnable runAfterTask = new Runnable() {
      *       public void run() {
Index: trunk/src/org/openstreetmap/josm/actions/mapmode/ImproveWayAccuracyAction.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/mapmode/ImproveWayAccuracyAction.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/mapmode/ImproveWayAccuracyAction.java	(revision 6830)
@@ -52,5 +52,5 @@
 
 /**
- * @author Alexander Kachkaev <alexander@kachkaev.ru>, 2011
+ * @author Alexander Kachkaev &lt;alexander@kachkaev.ru&gt;, 2011
  */
 public class ImproveWayAccuracyAction extends MapMode implements MapViewPaintable,
Index: trunk/src/org/openstreetmap/josm/actions/mapmode/ImproveWayAccuracyHelper.java
===================================================================
--- trunk/src/org/openstreetmap/josm/actions/mapmode/ImproveWayAccuracyHelper.java	(revision 6822)
+++ trunk/src/org/openstreetmap/josm/actions/mapmode/ImproveWayAccuracyHelper.java	(revision 6830)
@@ -20,5 +20,5 @@
  * segment to divide.
  *
- * @author Alexander Kachkaev <alexander@kachkaev.ru>, 2011
+ * @author Alexander Kachkaev &lt;alexander@kachkaev.ru&gt;, 2011
  */
 final class ImproveWayAccuracyHelper {
@@ -27,5 +27,5 @@
         // Hide default constructor for utils classes
     }
-    
+
     /**
      * Finds the way to work on. If the mouse is on the node, extracts one of
